//Función que valida que acepte solo numeros
function ValidaAbastece() {
   with (document.forms["Productos"]) // el nombre del formulario
   {
    var abastece = Number( text_piezas1.value );
  //sumamos las cajas con los nombres
    if(abastece!=""){
       $("#DescontarPiezas").prop("disabled", true );
    }
    else{
      $("#DescontarPiezas").prop("disabled", false );
    }
        // total.value = roundTo( totalResult, 2 );
   }
 }

function ValidaDesconteo() {
   with (document.forms["Productos"]) // el nombre del formulario
   {
    var descuenta = Number(text_descontarpiezas.value );
  //sumamos las cajas con los nombres
    if(descuenta!=""){
       $("#Piezas").prop("disabled", true );
    }
    else{
      $("#Piezas").prop("disabled", false );
    }
        // total.value = roundTo( totalResult, 2 );
   }
 }


function ValidaKey() {
   with (document.forms["Productos"]) // el nombre del formulario
   {
    var abastece = Number( text_piezas1.value );
  //sumamos las cajas con los nombres
    if(abastece!=""){
       $("#DescontarPiezas").prop("disabled", true );
    }
    else{
      $("#DescontarPiezas").prop("disabled", false );
    }
        // total.value = roundTo( totalResult, 2 );
   }
 }

function ValidaDesconteo() {
   with (document.forms["Productos"]) // el nombre del formulario
   {
    var descuenta = Number(text_descontarpiezas.value );
  //sumamos las cajas con los nombres
    if(descuenta!=""){
       $("#Piezas").prop("disabled", true );
    }
    else{
      $("#Piezas").prop("disabled", false );
       $("#text_descontarpiezas").prop("disabled", true );
    }
        // total.value = roundTo( totalResult, 2 );
   }
 }

function valida(e){
                tecla = (document.all) ? e.keyCode : e.which;

                //Tecla de retroceso para borrar, siempre la permite
                if (tecla==8){
                  return true;
                }
        
                // Patron de entrada, en este caso solo acepta numeros
                patron =/["0123456789"]/;
                tecla_final = String.fromCharCode(tecla);
                return patron.test(tecla_final);
            }  
//Función que hace la suma de los productos agregados
function Totales() {
   with (document.forms["Productos"]) // el nombre del formulario
   {
    var totalResult = Number( text_piezas1.value ) + Number( text_piezas2.value );
  //sumamos las cajas con los nombres
        total.value = roundTo( totalResult, 2 );
   }
 }
 //Función que hace la suma de los productos agregados
function Desconteo() {
   with (document.forms["Productos"]) // el nombre del formulario
   {
    var totalResult1 =  Number( text_piezas2.value )- Number( text_descontarpiezas.value );
  //sumamos las cajas con los nombres
        total.value = roundTo( totalResult1, 2 );
   }
 }

//Función que valida que acepte un numero decimal
 function validaPunto(e){
                tecla = (document.all) ? e.keyCode : e.which;

                //Tecla de retroceso para borrar, siempre la permite
                if (tecla==8){
                  return true;
                }
        
                // Patron de entrada, en este caso solo acepta numeros
                patron =/["0123456789."]/;
                tecla_final = String.fromCharCode(tecla);
                return patron.test(tecla_final);
            }


function roundTo(num,pow){
  if( isNaN( num ) ){
    num = 0;
  }
  
  return num;
}

function confirma(){
 if (confirm("¿Realmente desea eliminarlo?")){ 
 }
 else { 
 return false
 }
}

